Subject: bug#58627: 29.0.50; `set-frame-position' doesn't set frame position correctly when it is called with negative X or Y

From: Po Lu <[email-masked]>
Date: Wed, 19 Oct 2022 21:10:27 +0800

Yuwei Tian <[email-masked]> writes:

> Sorry. I just built Emacs 28.2 on macOS 12.6. It behaves the same as Emacs 29.
> I tested it again on the Mac port version of Emacs 28.2, and the behavior is the
> same as described in the manual. Is it an issue with the NS version Emacs only?

Carbon Emacs (the "Mac port") probably implements set-frame-position
correctly.  The NS port is definitely wrong there.

If someone points me to how Carbon Emacs implements it, I'd be happy to
implement it similarly for NS, as long as it doesn't use Carbon to move
the frame.